local options = {
	backup = false,
	clipboard = "unnamedplus",
	cmdheight = 2,
	completeopt = { "menuone", "noselect" },
	conceallevel = 0,
	fileencoding = "utf-8",
	hidden = true,
	hlsearch = true,
	ignorecase = true,
	mouse = "",
	pumheight = 10,
	showmode = false,
	showtabline = 2,
	smartcase = true,
	smartindent = true,
	splitbelow = true,
	splitright = true,
	swapfile = false,
	termguicolors = true,
	undofile = true,
	updatetime = 300,
	writebackup = false,
	shiftwidth = 4,
	tabstop = 4,
	cursorline = true,
	number = true,
	relativenumber = true,
	numberwidth = 4,
	signcolumn = "yes",
	wrap = true,
	syntax = "on",
	foldmethod = "expr",
	foldexpr = "v:lua.vim.treesitter.foldexpr()",
	foldnestmax = 10,
	foldlevel = 9,
	scrolloff = 999,
	so = vim.fn.floor(vim.fn.winheight(0) / 2),
	guicursor = "n-v-c:block,i-ci-ve:hor10,r-cr:hor20,o:hor50,a:blinkwait700-blinkoff400-blinkon250-Cursor/lCursor,sm:block-blinkwait175-blinkoff150-blinkon175",
	langmap = "ФИСВУАПРШОЛДЬТЩЗЙКЫЕГМЦЧНЯЖ;ABCDEFGHIJKLMNOPQRSTUVWXYZ:,фисвуапршолдьтщзйкыегмцчня;abcdefghijklmnopqrstuvwxyz",
	spelllang = "en,ru_yo",
	spell = true,
}
vim.opt.formatoptions:append({ r = true, o = true })
vim.opt.shortmess:append("c")

for k, v in pairs(options) do
	vim.opt[k] = v
end
vim.wo.foldmethod = "expr"
vim.wo.foldexpr = "v:lua.vim.treesitter.foldexpr()"
vim.cmd("set whichwrap+=<,>,[,],h,l")
vim.filetype.add({
	extension = {
		templ = "templ",
	},
	pattern = {
		[".*/todo.txt"] = "todotxt",
	},
})

vim.g.nightflyCursorColor = true
vim.g.nightflyVirtualTextColor = true
vim.g.nightflyTransparent = true
